{
  config,
  pkgs,
  ...
}: {
  services.dunst.settings = {
    global = {
      origin = "top-right";
      frame_color = "#33ccff";
      transparency = 20;
      background = "#000000";
      timeout = 5;
      offset = "20x50";
      force_xwayland = false;
      corner_radius = 15;
      follow = "keyboard";
      progress_bar = true;
      dmenu = "${pkgs.wofi}/bin/wofi --dmenu";
      mouse_left_click = "do_action, close_current";
      mouse_middle_click = "close_current";
      mouse_right_click = "close_all";
    };

    urgency_critical = {
      timeout = 15;
      background = "#500005";
    };
  };
}
